<?php
// change_password.php
require '../config/db.php';
require '../utils/auth.php';

// الحصول على البيانات المرسلة بصيغة JSON
$data = json_decode(file_get_contents("php://input"), true);
$phone_number = $data['phone_number'];
$new_password = $data['new_password'];

// التحقق من أن رقم الهاتف وكلمة المرور الجديدة موجودين
if (!$phone_number || !$new_password) {
    http_response_code(400);
    echo json_encode(["message" => "رقم الهاتف وكلمة المرور الجديدة مطلوبة"]);
    exit();
}

// البحث عن المستخدم بناءً على رقم الهاتف
$stmt = $pdo->prepare("SELECT id FROM users WHERE phone_number = ?");
$stmt->execute([$phone_number]);
$user = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$user) {
    http_response_code(404);
    echo json_encode(["message" => "المستخدم غير موجود"]);
    exit();
}

// (اختياري) يمكنك إضافة تحقق إضافي هنا إذا كانت هناك تحققات مسبقة أخرى

// تحديث كلمة المرور
$password_hash = password_hash($new_password, PASSWORD_BCRYPT);
$stmt = $pdo->prepare("UPDATE users SET password_hash = ? WHERE id = ?");
$stmt->execute([$password_hash, $user['id']]);

echo json_encode(["message" => "تم تغيير كلمة المرور بنجاح"]);
?>
