<?php
require '../config/db.php';
require '../utils/auth.php';

// التحقق من توثيق المستخدم
authenticate_request();

$data = json_decode(file_get_contents("php://input"), true);

$transaction_id = $data['transaction_id'];

if (!$transaction_id) {
    http_response_code(400);
    echo json_encode(["message" => "معرف العملية مطلوب"]);
    exit();
}

// استرجاع الدفع من قاعدة البيانات للتأكد من ارتباطه بالمستخدم الموثق
$user_id = get_authenticated_user_id();
$stmt = $pdo->prepare("SELECT * FROM payments WHERE id = ? AND user_id = ?");
$stmt->execute([$transaction_id, $user_id]);
$payment = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$payment) {
    http_response_code(404);
    echo json_encode(["message" => "الدفع غير موجود أو غير مرتبط بالمستخدم"]);
    exit();
}

// التواصل مع الـ API الخارجية لاسترجاع معلومات الدفع
$payment_api_url = "https://gate.sha7nawy.com/api/payment/$transaction_id";
$headers = [
    "Accept: application/json",
    "Authorization: wkWd7JmEzbe10iWrLLOhzR5yF7Yi6pPYhBQFRY2cKaIWewWnfqXry4xkHHpa1WBEDUt8SYFZNQXpAmAgQ9kWyoLQ8ypTnpC4JIYn" // استبدل YOUR_SECRET_KEY بمفتاحك السري
];

$ch = curl_init($payment_api_url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
$response = curl_exec($ch);

if (curl_errno($ch)) {
    http_response_code(500);
    echo json_encode(["message" => "خطأ في الاتصال ببوابة الدفع"]);
    curl_close($ch);
    exit();
}

curl_close($ch);
$response_data = json_decode($response, true);

if ($response_data['status'] && $response_data['code'] == 200) {
    echo json_encode([
        "message" => $response_data['message'],
        "data" => $response_data['data']
    ]);
} else {
    http_response_code($response_data['code'] ?? 400);
    echo json_encode([
        "message" => $response_data['message'] ?? "فشل استرجاع معلومات الدفع",
        "data" => $response_data['data'] ?? []
    ]);
}
?>
