<?php
require '../config/db.php';
require '../utils/auth.php';

$data = json_decode(file_get_contents("php://input"), true);
$phone_number = $data['phone_number'];
$password = $data['password'];

if (!$phone_number || !$password) {
    http_response_code(400);
    echo json_encode(["message" => "رقم الهاتف وكلمة المرور مطلوبان"]);
    exit();
}

$stmt = $pdo->prepare("SELECT id, password_hash,name, balance FROM users WHERE phone_number = ?");

$stmt->execute([$phone_number]);
$user = $stmt->fetch(PDO::FETCH_ASSOC);

if ($user && verify_password($password, $user['password_hash'])) {
    $token = generate_token();
    echo json_encode(["message" => "تم تسجيل الدخول بنجاح", "user_id" => $user['id'],"name"=>$user['name'],"user_balance"=>$user['balance'], "token" => $token]);
} else {
    http_response_code(401);
    echo json_encode(["message" => "Invalid credentials"]);
}
?>
