<?php
// send_recovery_code.php
require '../config/db.php';
require '../utils/auth.php';

// دالة لتوليد رمز عشوائي مكون من 6 أرقام
function generate_recovery_code() {
    return rand(1000, 9999);
}

// الحصول على بيانات الإدخال
$data = json_decode(file_get_contents("php://input"), true);
$phone_number = $data['phone_number'];

if (!$phone_number) {
    http_response_code(400);
    echo json_encode(["message" => "رقم الهاتف مطلوب"]);
    exit();
}

// البحث عن المستخدم بناءً على رقم الهاتف
$stmt = $pdo->prepare("SELECT id, name FROM users WHERE phone_number = ?");
$stmt->execute([$phone_number]);
$user = $stmt->fetch(PDO::FETCH_ASSOC);

if (!$user) {
    http_response_code(404);
    echo json_encode(["message" => "المستخدم غير موجود"]);
    exit();
}

// توليد رمز الاستعادة
$recovery_code = generate_recovery_code();

// تخزين رمز الاستعادة في الجدول
$stmt = $pdo->prepare("INSERT INTO password_recovery (user_id, recovery_code) VALUES (?, ?)");
$stmt->execute([$user['id'], $recovery_code]);

// إرسال الرمز عبر WhatsApp باستخدام cURL
$url = 'https://graph.facebook.com/v21.0/503855579475380/messages';
$token = 'EAA3AbdewfIQBO0Ux5pFoZBwkdnNcv4ZAm4I9gU1ZAbSZCDYliMV86e8JZBBuDypeUjmpZAedfQOVAeWYggPBoCGPwMrMxWJ8QmPPZCd80oNjD0TZBtt5gWZApaTiraqbf7RJ9b0DAD2ZBL7YpJtcLROZBN87TvpDOiWSCb2Ur2llRuWZA2vZBvyojqF7NmOrIPJzkb9GCegZDZD'; // استبدلها بالتوكن الخاص بك
$template_name = 'ghanem_media_recovery_code';
$language_code = 'ar'; // أو اللغة التي تناسبك

// إعداد بيانات الرسالة
$messageData = [
    "messaging_product" => "whatsapp",
    "recipient_type" => "individual", // إضافة نوع المستلم
    "to" => $phone_number,
    "type" => "template",
    "template" => [
        "name" => $template_name,
        "language" => ["code" => $language_code],
        "components" => [
            [
                "type" => "body",
                "parameters" => [
                    [
                        "type" => "text",
                        "text" => $recovery_code
                    ]
                ]
            ],
            [
                "type" => "button", // إضافة مكون الزر
                "sub_type" => "url",
                "index" => "0",
                "parameters" => [
                    [
                        "type" => "text",
                        "text" => $recovery_code // تأكد من تعيين هذا المتغير بالرابط الصحيح
                    ]
                ]
            ]
        ]
    ]
];


// إعداد طلب cURL
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer ' . $token,
    'Content-Type: application/json'
]);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($messageData));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

// تنفيذ الطلب
$response = curl_exec($ch);
$http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);

if ($http_code >= 200 && $http_code < 300) {
    echo json_encode(["message" => "تم ارسال الرمز بنجاح على الواتساب"]);
} else {
    http_response_code(500);
    echo json_encode(["message" => "فشل في إرسال رمز الاستعادة", "error" => $response]);
}
?>
